package com.foreverwin.mesnac.dispatch.controller;

import com.foreverwin.mesnac.common.util.StringUtil;
import com.foreverwin.modular.core.exception.BusinessException;
import com.foreverwin.modular.core.util.R;
import com.foreverwin.modular.core.util.FrontPage;
import com.foreverwin.modular.core.util.CommonMethods;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import com.foreverwin.mesnac.dispatch.service.SurplusItemReturnService;
import com.foreverwin.mesnac.dispatch.model.SurplusItemReturn;
import java.util.List;
import java.util.Map;

/**
 *
 * @author Leon.L
 * @since 2021-07-10
 */
@RestController
@RequestMapping("/Z-SURPLUS-ITEM-RETURN")
public class SurplusItemReturnController {

    @Autowired
    public SurplusItemReturnService surplusItemReturnService;


    @ResponseBody
    @GetMapping("/{inventory:.+}")
    public R getInventoryData(@PathVariable String inventory) {
        Map<String, Object> result;

        try {
            if (StringUtil.isBlank(inventory)) {
                throw BusinessException.build("物料条码不能为空！");
            }

            String site = CommonMethods.getSite();
            result = surplusItemReturnService.getInventoryData(site, inventory);
        } catch (Exception e) {
            return R.failed(e.getMessage());
        }

        return R.ok(result);
    }

}