package com.foreverwin.mesnac.dispatch.model;

import java.io.Serializable;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import com.baomidou.mybatisplus.annotation.TableId;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import com.baomidou.mybatisplus.annotation.IdType;

/**
 * <p>
 * 余料退回
 * </p>
 *
 * @author Leon.L
 * @since 2021-07-10
 */

@TableName("Z_SURPLUS_ITEM_RETURN")

public class SurplusItemReturn extends Model<SurplusItemReturn> {

    private static final long serialVersionUID = 1L;

    /**
     * 主键
     */
   @TableId(value = "HANDLE", type = IdType.INPUT)
   private String handle;
    /**
     * 站点
     */
   @TableField("SITE")
   private String site;
    /**
     * 库存批次
     */
   @TableField("INVENTORY")
   private String inventory;
    /**
     * 父库存批次
     */
   @TableField("PARENT_INVENTORY")
   private String parentInventory;
    /**
     * 物料编号
     */
   @TableField("ITEM_BO")
   private String itemBo;
    /**
     * 余料长度
     */
   @TableField("LENGHT")
   private Double lenght;
    /**
     * 余料宽度
     */
   @TableField("WIDTH")
   private Double width;
    /**
     * 余料数量
     */
   @TableField("QTY")
   private Double qty;
    /**
     * 创建用户
     */
   @TableField("CREATE_USER_BO")
   private String createUserBo;
    /**
     * 创建时间
     */
   @TableField("CREATED_DATE_TIME")
   private LocalDateTime createdDateTime;
    /**
     * 更新用户
     */
   @TableField("UPDATE_USER_BO")
   private String updateUserBo;
    /**
     * 更新时间
     */
   @TableField("UPDATED_DATE_TIME")
   private LocalDateTime updatedDateTime;


   public String getHandle() {
      return handle;
   }

   public void setHandle(String handle) {
      this.handle = handle;
   }

   public String getSite() {
      return site;
   }

   public void setSite(String site) {
      this.site = site;
   }

   public String getInventory() {
      return inventory;
   }

   public void setInventory(String inventory) {
      this.inventory = inventory;
   }

   public String getParentInventory() {
      return parentInventory;
   }

   public void setParentInventory(String parentInventory) {
      this.parentInventory = parentInventory;
   }

   public String getItemBo() {
      return itemBo;
   }

   public void setItemBo(String itemBo) {
      this.itemBo = itemBo;
   }

   public Double getLenght() {
      return lenght;
   }

   public void setLenght(Double lenght) {
      this.lenght = lenght;
   }

   public Double getWidth() {
      return width;
   }

   public void setWidth(Double width) {
      this.width = width;
   }

   public Double getQty() {
      return qty;
   }

   public void setQty(Double qty) {
      this.qty = qty;
   }

   public String getCreateUserBo() {
      return createUserBo;
   }

   public void setCreateUserBo(String createUserBo) {
      this.createUserBo = createUserBo;
   }

   public LocalDateTime getCreatedDateTime() {
      return createdDateTime;
   }

   public void setCreatedDateTime(LocalDateTime createdDateTime) {
      this.createdDateTime = createdDateTime;
   }

   public String getUpdateUserBo() {
      return updateUserBo;
   }

   public void setUpdateUserBo(String updateUserBo) {
      this.updateUserBo = updateUserBo;
   }

   public LocalDateTime getUpdatedDateTime() {
      return updatedDateTime;
   }

   public void setUpdatedDateTime(LocalDateTime updatedDateTime) {
      this.updatedDateTime = updatedDateTime;
   }

public static final String HANDLE = "HANDLE";

public static final String SITE = "SITE";

public static final String INVENTORY = "INVENTORY";

public static final String PARENT_INVENTORY = "PARENT_INVENTORY";

public static final String ITEM_BO = "ITEM_BO";

public static final String LENGHT = "LENGHT";

public static final String WIDTH = "WIDTH";

public static final String QTY = "QTY";

public static final String CREATE_USER_BO = "CREATE_USER_BO";

public static final String CREATED_DATE_TIME = "CREATED_DATE_TIME";

public static final String UPDATE_USER_BO = "UPDATE_USER_BO";

public static final String UPDATED_DATE_TIME = "UPDATED_DATE_TIME";


   @Override
   protected Serializable pkVal() {
      return this.handle;
   }

   @Override
   public String toString() {
      return "SurplusItemReturn{" +
         "handle = " + handle +
         ", site = " + site +
         ", inventory = " + inventory +
         ", parentInventory = " + parentInventory +
         ", itemBo = " + itemBo +
         ", lenght = " + lenght +
         ", width = " + width +
         ", qty = " + qty +
         ", createUserBo = " + createUserBo +
         ", createdDateTime = " + createdDateTime +
         ", updateUserBo = " + updateUserBo +
         ", updatedDateTime = " + updatedDateTime +
         "}";
   }
}